#Module-Specific definitions
%define mod_name mod_wsgi

Summary:	Python WSGI adapter module for Apache
Name:		apache-%{mod_name}
Version:	3.4
Release:	%mkrel 3
Group:		System/Servers
License:	Apache License
URL:		http://code.google.com/p/modwsgi/
Source0:	http://modwsgi.googlecode.com/files/%{mod_name}-%{version}.tar.gz
Source1:	mod_wsgi.conf
Source2:	wsgi.conf
Requires:	apache
BuildRequires:	apache-devel
BuildRequires:	python-devel
BuildRequires:  apr-devel
BuildRequires:  libtool

%description
The mod_wsgi adapter is an Apache module that provides a WSGI compliant
interface for hosting Python based web applications within Apache. The
adapter is written completely in C code against the Apache C runtime and
for hosting WSGI applications within Apache has a lower overhead than using
existing WSGI adapters for mod_python or CGI.

%prep
%setup -q -n %{mod_name}-%{version}

%build
#rm -f configure
#autoconf

%configure2_5x --localstatedir=/var/lib \
    --with-apxs=%{_httpd_apxs}

%make

%install
rm -rf %{buildroot}

%makeinstall_std

install -D -m 644 %{SOURCE1} %{buildroot}%{_httpd_modconfdir}/10_mod_wsgi.conf
install -D -m 644 %{SOURCE2} %{buildroot}%{_httpd_extconfdir}/wsgi.conf

%clean
rm -rf %{buildroot}

%files
%doc LICENCE README
%config(noreplace) %{_httpd_modconfdir}/10_mod_wsgi.conf
%config(noreplace) %{_httpd_extconfdir}/wsgi.conf
%{_httpd_moddir}/mod_wsgi.so


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 3.4-3.mga4
+ Revision: 502542
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 3.4-2.mga3
+ Revision: 345874
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 24 2012 oden <oden> 3.4-1.mga3
+ Revision: 334677
- 3.4

* Sun Aug 12 2012 guillomovitch <guillomovitch> 3.3-7.mga3
+ Revision: 280787
- fix build with apache 2.4
- adapt to new apache setup

* Mon Mar 19 2012 luigiwalser <luigiwalser> 3.3-6.mga2
+ Revision: 223851
- httpd restart is handled by filetriggers now

* Fri Mar 16 2012 anssi <anssi> 3.3-5.mga2
+ Revision: 223593
- drop ifdefine conditional in configuration as per changes in
  apache init handling

* Sun Sep 18 2011 dmorgan <dmorgan> 3.3-4.mga2
+ Revision: 144686
- Fix buildrequires
- Change apache-conf require

* Fri Feb 04 2011 ahmad <ahmad> 3.3-3.mga1
+ Revision: 46788
- imported package apache-mod_wsgi


* Wed Nov 03 2010 Michael Scherer <misc@mandriva.org> 3.3-3mdv2011.0
+ Revision: 592700
- rebuild for python 2.7

* Sun Oct 24 2010 Oden Eriksson <oeriksson@mandriva.com> 3.3-2mdv2011.0
+ Revision: 588089
- rebuild

* Tue Oct 19 2010 Oden Eriksson <oeriksson@mandriva.com> 3.3-1mdv2011.0
+ Revision: 586711
- 3.3

* Mon Mar 08 2010 Oden Eriksson <oeriksson@mandriva.com> 2.5-3mdv2010.1
+ Revision: 516265
- rebuilt for apache-2.2.15

* Sat Aug 01 2009 Oden Eriksson <oeriksson@mandriva.com> 2.5-2mdv2010.0
+ Revision: 406682
- rebuild

* Sun Jun 21 2009 Oden Eriksson <oeriksson@mandriva.com> 2.5-1mdv2010.0
+ Revision: 387751
- 2.5
- nuke redundant patches

* Tue Jan 06 2009 Oden Eriksson <oeriksson@mandriva.com> 2.3-3mdv2009.1
+ Revision: 326274
- rebuild

* Mon Dec 29 2008 Michael Scherer <misc@mandriva.org> 2.3-2mdv2009.1
+ Revision: 320992
- add patch for format string error
- rebuild for new python

* Thu Oct 16 2008 Oden Eriksson <oeriksson@mandriva.com> 2.3-1mdv2009.1
+ Revision: 294280
- 2.3

* Sun Aug 10 2008 Oden Eriksson <oeriksson@mandriva.com> 2.1-1mdv2009.0
+ Revision: 270290
- 2.1

* Mon Jul 14 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0-3mdv2009.0
+ Revision: 235131
- rebuild

* Thu Jun 05 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0-2mdv2009.0
+ Revision: 215674
- fix rebuild
- hard code %%{_localstatedir}/lib to ease backports

* Sat May 10 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0-1mdv2009.0
+ Revision: 205396
- 2.0

* Sun Mar 09 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2-2mdv2008.1
+ Revision: 182876
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 30 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2-1mdv2008.1
+ Revision: 103921
- fix deps
- import apache-mod_wsgi


* Tue Oct 30 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2-1mdv2008.1
- initial Mandriva package
